package com.kb.beans;

import org.springframework.context.support.ClassPathXmlApplicationContext;

public class BeansLifeCycle {

	public static void main(String[] args) {

		ClassPathXmlApplicationContext applicationContext = new ClassPathXmlApplicationContext("beans.xml");

		// Load PersonService object
		PersonService personService = (PersonService) applicationContext.getBean("personService");
		System.out.println("Name : " + personService.getPerson().getName());

		applicationContext.registerShutdownHook();

	}

}
